Index: code/trunk/src/orxonox/LevelManager.cc
===================================================================
--- code/trunk/src/orxonox/LevelManager.cc	(revision 9546)
+++ code/trunk/src/orxonox/LevelManager.cc	(revision 9550)
@@ -65,5 +65,5 @@
         if (!CommandLineParser::getArgument("level")->hasDefaultValue())
         {
-            ModifyConfigValue(defaultLevelName_, tset, CommandLineParser::getValue("level").getString());
+            ModifyConfigValue(defaultLevelName_, tset, CommandLineParser::getValue("level").get<std::string>());
         }
 
Index: code/trunk/src/orxonox/Main.cc
===================================================================
--- code/trunk/src/orxonox/Main.cc	(revision 9546)
+++ code/trunk/src/orxonox/Main.cc	(revision 9550)
@@ -68,5 +68,5 @@
         orxout(user_status) << "Finished initialization" << endl;
 
-        if (CommandLineParser::getValue("generateDoc").getString().empty())
+        if (CommandLineParser::getValue("generateDoc").get<std::string>().empty())
         {
             orxout(internal_info) << "preparing game states" << endl;
@@ -86,20 +86,20 @@
 
             // Some development hacks (not really, but in the future, these calls won't make sense anymore)
-            if (CommandLineParser::getValue("standalone").getBool())
+            if (CommandLineParser::getValue("standalone").get<bool>())
                 Game::getInstance().requestStates("graphics, standalone, level");
-            else if (CommandLineParser::getValue("server").getBool())
+            else if (CommandLineParser::getValue("server").get<bool>())
                 Game::getInstance().requestStates("graphics, server, level");
-            else if (CommandLineParser::getValue("client").getBool())
+            else if (CommandLineParser::getValue("client").get<bool>())
                 Game::getInstance().requestStates("graphics, client, level");
-            else if (CommandLineParser::getValue("dedicated").getBool())
+            else if (CommandLineParser::getValue("dedicated").get<bool>())
                 Game::getInstance().requestStates("server, level");
-            else if (CommandLineParser::getValue("dedicatedClient").getBool())
+            else if (CommandLineParser::getValue("dedicatedClient").get<bool>())
                 Game::getInstance().requestStates("client, level");
             /* ADD masterserver command */
-            else if (CommandLineParser::getValue("masterserver").getBool())
+            else if (CommandLineParser::getValue("masterserver").get<bool>())
                 Game::getInstance().requestStates("masterserver");
             else
             {
-                if (!CommandLineParser::getValue("console").getBool())
+                if (!CommandLineParser::getValue("console").get<bool>())
                     Game::getInstance().requestStates("graphics, mainMenu");
             }
Index: code/trunk/src/orxonox/graphics/ParticleEmitter.cc
===================================================================
--- code/trunk/src/orxonox/graphics/ParticleEmitter.cc	(revision 9546)
+++ code/trunk/src/orxonox/graphics/ParticleEmitter.cc	(revision 9550)
@@ -71,5 +71,5 @@
         SUPER(ParticleEmitter, XMLPort, xmlelement, mode);
 
-        XMLPortParam(ParticleEmitter, "lod",    setLODxml, getLODxml, xmlelement, mode).defaultValues(LODParticle::Normal);
+        XMLPortParam(ParticleEmitter, "lod",    setLODxml, getLODxml, xmlelement, mode).defaultValues(static_cast<unsigned int>(LODParticle::Normal));
         XMLPortParam(ParticleEmitter, "source", setSource, getSource, xmlelement, mode);
     }
Index: code/trunk/src/orxonox/overlays/InGameConsole.cc
===================================================================
--- code/trunk/src/orxonox/overlays/InGameConsole.cc	(revision 9546)
+++ code/trunk/src/orxonox/overlays/InGameConsole.cc	(revision 9550)
@@ -47,4 +47,5 @@
 #include "util/ScopedSingletonManager.h"
 #include "util/output/MemoryWriter.h"
+#include "util/output/OutputManager.h"
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
@@ -95,5 +96,5 @@
         // Output buffering is not anymore needed. Not the best solution to do
         // this here, but there isn't much of another way.
-        MemoryWriter::getInstance().disable();
+        OutputManager::getInstance().getMemoryWriter()->disable();
     }
 
